---
updatedAt: 2025-02-12T22:19:19.000Z
agentTools:
  projectIndex: https://developers.melroselabs.com/llms.txt
---

# Update callback URL

Update callback URL for inbound SMS

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Iridium API",
    "description": "The Iridium API is used for SMS and SBD communication with Iridium satellite mobile devices.<br/><br/>The Iridium API allows a message to be sent, and received from, any Iridium device located anywhere in the world. The device must be able to communicate with the Iridium network and therefore must have a clear view of the sky at the time of communication. SMS messages normally reach an Iridum device in around 22 seconds. Each SMS message can be up to 160 characters in length.",
    "contact": {
      "name": "Melrose Labs - Technical Support",
      "email": "support@melroselabs.com"
    },
    "version": "2023-01-18T09:47:46Z"
  },
  "servers": [
    {
      "url": "https://api.melroselabs.com/{basePath}",
      "variables": {
        "basePath": {
          "default": "/iridium"
        }
      }
    }
  ],
  "paths": {
    "/inbound/callbackurl": {
      "put": {
        "tags": [
          "Inbound SMS"
        ],
        "summary": "Update callback URL",
        "description": "Update callback URL for inbound SMS",
        "requestBody": {
          "description": "Callback URL",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CallbackURL"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Callback URL updated",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CallbackURLResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_key": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "CallbackURL": {
        "title": "CallbackURL Schema",
        "required": [
          "url"
        ],
        "type": "object",
        "properties": {
          "url": {
            "type": "string",
            "description": "URL to receive messages from Iridium devices"
          },
          "sourceNumber": {
            "type": "string",
            "description": "Sending Iridium number"
          },
          "destinationNumber": {
            "type": "string",
            "description": "Number receiving from Iridium device"
          }
        }
      },
      "CallbackURLResponse": {
        "title": "CallbackURLResponse Schema",
        "type": "object",
        "properties": {
          "outcome": {
            "type": "boolean",
            "description": "Callback URL set successfully or not"
          },
          "message": {
            "type": "string",
            "description": "Description of outcome"
          }
        }
      }
    },
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```